StarFormatManagerInternal::NumberFormatter::Format Struct Reference

struct use to store different local format More...

## Public Member Functions

| Format ()
| constructor
bool | updateNumberingProperties (STOFFCell &cell, std::string const &language, std::string const &country) const
| try to update the cell's formating

## Public Attributes

std::vector< FormatItem > | m_itemList
| the item list
int | m_type
| the format type
bool | m_hasThousandSep
| a flag to know if we need to add a thousand separator
int | m_prefix
| the prefix digits
int | m_postfix
| the postfix digits
int | m_exponential
| the exponential digits
int | m_thousand
| the number of thousand digits
librevenge::RVNGString | m_colorName
| the color name

## Friends

std::ostream & | operator<< (std::ostream &o, Format const &form)
| operator<<

## Detailed Description

struct use to store different local format

## Constructor & Destructor Documentation

## Format()

StarFormatManagerInternal::NumberFormatter::Format::Format | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## updateNumberingProperties()

bool StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties | ( | STOFFCell & | cell,
|  | std::string const & | language,
|  | std::string const & | country ) const

try to update the cell's formating

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Format const & | form )

friend

operator<<

## Member Data Documentation

## m_colorName

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::Format::m_colorName

the color name

Referenced by Format(), operator<<, and StarFormatManager::readNumberFormatter().

## m_exponential

int StarFormatManagerInternal::NumberFormatter::Format::m_exponential

the exponential digits

Referenced by Format(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_hasThousandSep

bool StarFormatManagerInternal::NumberFormatter::Format::m_hasThousandSep

a flag to know if we need to add a thousand separator

Referenced by Format(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_itemList

std::vector<FormatItem> StarFormatManagerInternal::NumberFormatter::Format::m_itemList

the item list

Referenced by Format(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_postfix

int StarFormatManagerInternal::NumberFormatter::Format::m_postfix

the postfix digits

Referenced by Format(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_prefix

int StarFormatManagerInternal::NumberFormatter::Format::m_prefix

the prefix digits

Referenced by Format(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_thousand

int StarFormatManagerInternal::NumberFormatter::Format::m_thousand

the number of thousand digits

Referenced by Format(), operator<<, and StarFormatManager::readNumberFormatter().

## m_type

int StarFormatManagerInternal::NumberFormatter::Format::m_type

the format type

Referenced by Format(), operator<<, StarFormatManagerInternal::NumberFormatter::operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx